# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hashed-type-def-procmacro"
version = "0.1.2"
authors = ["Frederic Dambreville"]
description = "Proc-macro generator for a hash based type identifier: hash code is computed on the basis of type definition"
readme = "README.md"
keywords = [
    "hashed",
    "Hash",
    "Id",
    "type",
    "derive",
]
categories = ["development-tools"]
license = "Apache-2.0"
repository = "https://github.com/fdecode/silx-furtif"

[lib]
proc-macro = true

[dependencies.proc-macro2]
version = "^1.0.78"

[dependencies.quote]
version = "^1.0.35"

[dependencies.rand]
version = "^0.8.5"

[dependencies.syn]
version = "^2.0.52"
